Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class CylinderRenderer

    java.lang.Object
      org.eclipse.contribution.visualiser.views.ClassicVisualiserRenderer
          org.eclipse.contribution.visualiser.views.DefaultVisualiserRenderer
              org.eclipse.contribution.visualiser.views.GradientVisualiserRenderer
                  org.eclipse.contribution.visualiser.views.CylinderRenderer

All Implemented Interfaces:
  IVisualiserRenderer

public class CylinderRenderer
extends GradientVisualiserRenderer

Constructor Summary
`CylinderRenderer()`

Method Summary
`void` | `paintColumn(org.eclipse.swt.graphics.GC gc, IMember m, int x, int yoff, int colWidth, int colHeight, boolean affected)` Paint cylinders, with 'highlight' just a bit to the left of center.

Methods inherited from class org.eclipse.contribution.visualiser.views.DefaultVisualiserRenderer
`getColumnHeaderHeight, getMarginSize, getSpacing, paintColumnHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CylinderRenderer

    public CylinderRenderer()

Method Detail

### paintColumn

    public void paintColumn(org.eclipse.swt.graphics.GC gc,
                            IMember m,
                            int x,
                            int yoff,
                            int colWidth,
                            int colHeight,
                            boolean affected)

  Paint cylinders, with 'highlight' just a bit to the left of center.

  Specified by:
    `paintColumn` in interface `IVisualiserRenderer`
  Overrides:
    `paintColumn` in class `GradientVisualiserRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD